import { AfterViewInit } from '@angular/core';
import { FVAbstractControl } from '../../../shared/abstract-control.component';
import { ProcessService } from '../../../../services/process.service';
import { ApiService, DGSNotificationService } from '@dotgov/core';
export declare class FVControlsUploadFileComponent extends FVAbstractControl implements AfterViewInit {
    private process;
    private api;
    private notification;
    isDragOver: boolean;
    private _files;
    fileInput: any;
    constructor(process: ProcessService, api: ApiService, notification: DGSNotificationService);
    ngAfterViewInit(): void;
    dragover(event: any): void;
    addFile(event: any, files: any[]): void;
    deleteFile(hiddenId: string): void;
    dropZoneClicked(event: any): void;
    fileUrl(file: any): string;
    sanitizedSize(bytes: number): string | number;
    files: any[];
    private fetchCurrent();
    private bytesToSize(bytes);
    /**
     * Returns if given file found inside active files, matching full name and size.
     */
    private fileExists(file);
    private getExtension(filename);
    private fileValid(filename);
}
